Name:           extra-cmake-modules
Summary:        Additional modules for CMake build system
Version:        5.108.0
Release:        1
License:        BSD
URL:            https://api.kde.org/ecm/

%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Source0:        http://download.kde.org/%{stable}/frameworks/%{majmin}/%{name}-%{version}.tar.xz
Patch01:        extra-cmake-modules-5.39.0-poppler_overlinking.patch
Patch02:        extra-cmake-modules-5.89.0-qt_prefix.patch
BuildArch:      noarch
BuildRequires:  kf5-rpm-macros qt5-qttools-devel python3-sphinx
Requires:       kf5-rpm-macros qt5-linguist

%description
Additional modules for CMake build system needed by KDE Frameworks.


%prep
%autosetup -p1

%build
mkdir %{_target_platform}
cd %{_target_platform}
%{cmake_kf5} .. -DBUILD_HTML_DOCS:BOOL=ON -DBUILD_MAN_DOCS:BOOL=ON -DBUILD_TESTING:BOOL=ON \
  -DSphinx_BUILD_EXECUTABLE:PATH=%{_bindir}/sphinx-build-3
cd -
%make_build -C %{_target_platform}


%install
%make_install -C %{_target_platform}


%check
export CTEST_OUTPUT_ON_FAILURE=1
make test ARGS="--output-on-failure --timeout 300" -C %{_target_platform} ||:

%files
%doc README.rst
%license LICENSES/*.txt
%{_datadir}/ECM/
%{_kf5_docdir}/ECM/html/
%{_kf5_mandir}/man7/ecm*.7*


%changelog
* Thu Aug 03 2023 leeffo <liweiganga@uniontech.com> - 5.108.0-1
- upgrade to version 5.108.0

* Fri Dec 09 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 5.100.0-1
- Update to upstream version 5.100.0

* Mon Sep 05 2022 liweiganga <liweiganga@uniontech.com> - 5.97.0-1
- update to upstream version 5.97.0

* Mon Jul 04 2022 loong_C <loong_c@yeah.net> - 5.95.0-1
- update to upstream version 5.95.0

* Fri Feb 11 2022 pei-jiankang<peijiankang@kylinos.cn> - 5.90.0-1
- update to upstream version 5.90.0

* Wed Jan 12 2022 pei-jiankang<peijiankang@kylinos.cn> - 5.88.0-1
- update to upstream version 5.88.0

* Thu Mar 12 2020 lingsheng <lingsheng@huawei.com> - 5.59.0-3
- Remove install require appstream

* Tue Mar 10 2020 zhujunhao <zhujunhao5@huawei.com> - 5.59.0-2
- Package init


